bash-completion (1:2.1-4.1+devuan2) unstable; urgency=medium

  * Remove dmesg and renice 

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Mon, 08 Jun 2015 16:22:29 +0200

bash-completion (1:2.1-4.1+devuan1) unstable; urgency=medium

  * change maintainer for devuan.

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Mon, 08 Jun 2015 08:31:46 +0200

bash-completion (1:2.1-4) unstable; urgency=medium

  * Fix dont_return_from_sourced_script.patch: typo during the patch
    backport (Closes: #742362)

 -- David Paleino <dapal@debian.org>  Sat, 22 Mar 2014 21:57:39 +0100

bash-completion (1:2.1-3) unstable; urgency=medium

  * Import patch from Ubuntu:
    - fix_quote_readline_by_ref.patch, thanks to JuanJo Ciarlante
      (Closes: #739835):
      + avoid escaping 1st '~' (LP: #1288314)
      + avoid quoting if empty, else expansion without args only shows
        dirs (LP: #1288031)
      + replace double escaping to single (eg for completing file/paths
        with spaces)
    - words_bad_array_subscript.patch, thanks to Barry Warsaw
    - dpkg_ddeb.patch: dpkg also supports *.ddeb, thanks to Sebastien
      Bacher (LP: #568404, Closes: #737881)
    - disable_avahi_browse.patch: slow, and doesn't scale to big
      networks, thanks to Chris Jones (Closes: #574950, LP: #510591)
    - xine_add_more_formats.patch: add oga and ogx to multimedia players
      (Closes: #496162, LP: #311525)
  * debian/maintscript, debian/postinst:
    - clean etc conffiles on upgrade since completion files are in /usr
      with 2.0, thanks to Sebastien Bacher
  * debian/control: marked Multi-Arch: foreign
  * debian/patches/:
    - fix_gcc_detection.patch, correctly parses Debian's GCC version
      number, thanks to Tomas Janousek (Closes: #665651)
    - xpdf_support_compressed_pdf.patch, in Debian xpdf also supports
      compressed files, thanks to Alfredo Finelli (Closes: #702498)
    - dpkg_support_raw-extract_vextract.patch: add support for more
      options in dpkg-deb, thanks to Uwe Storbeck (Closes: #698977)
    - dpkg_fix_-W_option.patch: -W|--show doesn't support udebs/ddebs,
      thanks to Luca Capello (Closes: #697513)
    - aptitude_safe-upgrade.patch: safe-upgrade supports package names,
      thanks to Nicolas Le Cam (Closes: #673235)
    - ifconfig_locale.patch: _mac_addresses() didn't consider locale
      awareness of ifconfig, thanks to Thilo Six (Closes: #704832)
    - dont_return_from_sourced_script.patch: avoid problems with shells
      not supporting returning from a sourced script (Closes: #741657)
    - look_for_pod.patch: perldoc: look for .pod in addition to .pm
      files, thanks to Carl Hayter (Closes: #708173)
  * debian/extra/debhelper/dh_bash-completion: fix installation process
    when more than one "proper snippet" is being installed, thanks to
    Jean-Michel Vourgère (Closes: #680852)
  * Dropped completions included in util-linux (Closes: #737672)

 -- David Paleino <dapal@debian.org>  Wed, 19 Mar 2014 11:44:27 +0100

bash-completion (1:2.1-2) unstable; urgency=low

  * Don't install nmcli completion (Closes: #728742).

 -- David Paleino <dapal@debian.org>  Tue, 05 Nov 2013 00:12:48 +0100

bash-completion (1:2.1-1) unstable; urgency=low

  * New upstream version:
    - fusermount: Complete curlftpfs-mounts for "fusermount -u"
      (Closes: #685377)
    - colormake: New make alias completion (LP: #743208, Closes: #682557)
    - ssh: Add -O argument completion (Closes: #680652)
    - tar: Support *.tar.lz (Closes: #703599)
  * Fixed typo in README.Debian (Closes: #689843)
  * Use canonical Vcs-* urls.
  * Standards-Version bump to 3.9.5, no changes needed.
  * debhelper compatibility bumped to 9.
  * Updated debian/copyright.

 -- David Paleino <dapal@debian.org>  Mon, 04 Nov 2013 18:08:07 +0100

bash-completion (1:2.0-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream version
    - Recognise symlinks to directories as directories (Closes: #666055)
    - sudo -e should list filenames instead of commands (Closes: #446355)
    - ri completion: defines function outside _* namespace (Closes: #669178)
    - overrides lyx's bash-completion (Closes: #662203)
    - complete 'apt-get changelog' (Closes: #659395)
    - sudo su {user} -c "sss failing because of quotation (LP: #783136)
    - scp and rsync error on local path completion (LP: #772571)
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright
  * Added Pre-Depends on dpkg because of dpkg-maintscript-helper

  [ Jonathan Nieder ]
  * Replace /etc/bash_completion symlink with a shim script (Closes: #669180)
  * Remove no longer needed symlink-issue patch
  * Remove /etc/bash_completion symlink to make room for shim script
    on upgrade from versions 1:1.99-2 and 1:1.99-3.

 -- David Paleino <dapal@debian.org>  Sun, 17 Jun 2012 21:08:02 +0200

bash-completion (1:1.99-3) unstable; urgency=low

  * Fixed issue when loading completions from the /etc/bash_completion
    symlink.

 -- David Paleino <dapal@debian.org>  Wed, 11 Jan 2012 14:41:37 +0100

bash-completion (1:1.99-2) unstable; urgency=low

  * Make /etc/bash_completion a symlink to the new location, waiting
    for bash to update its scripts (Closes: #648319)
  * Dropped debian/NEWS
  * Drop references to old triggers-mechanism (Closes: #655286)

 -- David Paleino <dapal@debian.org>  Tue, 10 Jan 2012 07:26:30 +0100

bash-completion (1:1.99-1) unstable; urgency=low

  * Uploading to unstable
  * New upstream pre-2.x snapshot
    - correctly list purgeable packages for dpkg --listfiles and dpkg
      --purge (Closes: #647684)
    - fix bash_completion paths in README (Closes: #647941)
    - _known_hosts_real: Handle more than two hostnames per known hosts
      line (Closes: #647352)
    - _known_hosts_real: Support > 1 files per *KnownHostsFile line
      (Closes: #650514)

 -- David Paleino <dapal@debian.org>  Sun, 08 Jan 2012 00:29:16 +0100

bash-completion (1:1.90-1) experimental; urgency=low

  * bash-completion 2 preview: dynamic loading of completions
    - optionally fallback to generic file completion if _filedir
      returns nothing (Closes: #619014, LP: #533985)
    - various fixes (Closes: #622383)
    - apt: add 'download' to subcommands (Closes: #625234, LP: #720541)
    - aptitude: add 'versions' command (Closes: #604393)
    - dpkg-query: use the 'dpkg' completion (Closes: #642526)
    - lintian: remove --unpack-level (Closes: #623680)
    - rrdtool: complete filenames after commands (Closes: #577933)
    - provide profile.d hook for per user disabling of bash_completion
      (Closes: #593835)
    - mutt: support tildes when recursively sourcing muttrc files
      (Closes: #615134)
    - tar: improve tar *[cr]*f completions (Closes: #618734)
  * More checks in update-bash-completion: avoid unnecessary
    sourcing of completion if symlink already exists
  * Add message for users before they report a bug (debian/bug-presubj),
    I'm kind of fed-up with bugs caused by acroread.sh :/
  * Removed patches merged upstream
  * Drop trigger-based completion loading
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 03 Nov 2011 13:03:51 +0100

bash-completion (1:1.3-3) experimental; urgency=low

  * Include install-completions from upstream
  * Use new mechanism to symlink completions (Closes: #623880)

 -- David Paleino <dapal@debian.org>  Mon, 25 Apr 2011 14:38:24 +0200

bash-completion (1:1.3-2) experimental; urgency=low

  * Change completion directory layout (00-change_completions_layout.patch)
  * Use autoreconf in debian/rules
  * Implement dpkg triggers and update-bash-completion script, and monthly
    cronjob to clean up unused completions.
  * Remove old UCF-related postinst tasks
  * Remove old conffiles, using dpkg-maintscript-helper
  * Added debian/NEWS, to explain the changes with this revision
  * Use Breaks+Replaces xen-tools, because of conflicting files
  * Added debian/README.Debian with instructions on the new layout,
    and how to enable completions

 -- David Paleino <dapal@debian.org>  Tue, 12 Apr 2011 12:15:12 +0200

bash-completion (1:1.3-1) unstable; urgency=low

  * New upstream release
    - Fixed "service" completion, thanks to John Hedges (Closes: #586210)
    - Fixed typo in openssl completion (Closes: #609552)
    - Added ip completion (Closes: #600617)
    - Added _tilde(), fix ~username completion (Closes: #587095)
    - Add *.webm to mplayer file completions (Closes: #588079).
  * debian/watch: fix to handle .tar.bz2 files
  * Bump Standards-Version to 3.9.1, no changes needed
  * Install upstream CHANGES file
  * Update copyright years in debian/copyright
  * debian/rules: reflect new source layout

 -- David Paleino <dapal@debian.org>  Sun, 06 Feb 2011 22:00:58 +0100

bash-completion (1:1.2-3) unstable; urgency=low

  * Provide a saner upgrade path from older bash packages, which
    shipped /etc/bash_completion (Closes: #564254)

 -- David Paleino <dapal@debian.org>  Tue, 16 Nov 2010 09:06:24 +0100

bash-completion (1:1.2-2) unstable; urgency=low

  * debian/patches/:
    - 00-fix_586210.patch added, fixes a weird error while loading
      service(8) completions. Thanks to John Hedges (Closes: #586210)
  * debian/control:
    - added Replaces: cryptsetup (Closes: #586161)

 -- David Paleino <dapal@debian.org>  Sun, 20 Jun 2010 09:57:35 +0200

bash-completion (1:1.2-1) unstable; urgency=low

  * New upstream release
    - contrib/munin-node fixed (Closes: #550943)
    - contrib/dpkg fixed -W and --show completing on .?(u)deb's
      (Closes: #552109)
    - added munindoc completion to contrib/munin-node, thanks to Tom
      Feiner (Closes: #553371)
    - contrib/cpio: added missing completions for -?, --help, --license,
      --usage, --version and (-p) --to-stdout (Closes: #557436)
    - added .okular completion to okular (Closes: #545530)
    - refreshed reportbug completion, added --from-buildd (Closes: #579471)
    - special-case "apt-get source" (Closes: #572000)
    - added lintian completion (Closes: #547361)
    - protect various completions from unusual user input by not embedding the
      input in external command arguments (Closes: #552631)
    - awk and sed usage portability fixes (Closes: #501479)
    - fix completion of usernames (Closes: #511788)
    - fix mount handling of escapes (LP: #219971, Closes: #511149)
    - update find completion (LP: #570113)
  * debian/patches/* removed, merged upstream
  * debian/control:
    - add Conflicts/Replaces on xen-tools (<= 4.1-1) (Closes: #550590)
    - Standards-Version bumped to 3.8.4, no changes needed
  * debian/links: remove dangling symlink in /usr/share/doc/bash
    (Closes: #565447)
  * debian/watch: fix regex to avoid old timestamp-based releases
  * debian/preinst: definitely remove anything in /usr/share/doc/bash/
  * debian/source/format: using 3.0 (quilt)
  * debin/rules made minimal

 -- David Paleino <dapal@debian.org>  Wed, 16 Jun 2010 19:03:06 +0200

bash-completion (1:1.1-3) unstable; urgency=low

  * debian/patches/03-fix_552631.patch fixed (Closes: #556251)

 -- David Paleino <dapal@debian.org>  Sat, 14 Nov 2009 23:42:55 +0100

bash-completion (1:1.1-2) unstable; urgency=low

  * debian/control, debian/rules: added quilt infrastructure
  * debian/README.source added
  * debian/patches/:
    - 01-fix_550943.patch added, fixes function names (Closes: #550943)
    - 02-fix_552109.patch added, fixes -W and --show completion for
      dpkg-deb (Closes: #552109)
    - 03-fix_552631.patch added (Closes: #552631)
  * debian/control:
    - updated my email address
    - DMUA removed

 -- David Paleino <dapal@debian.org>  Sat, 14 Nov 2009 18:10:49 +0100

bash-completion (1:1.1-1) unstable; urgency=low

  * New upstream release
    - fix svk completion using $filenames instead of $default
      (Closes: #524961)
    - fix typo in .ass subtitles completion for mplayer
      (Closes: #531337)
    - fix regression on man(1) completion: also complete on local .3pm
      files (Closes: #531343)
    - added avahi-discovered hosts to _known_hosts_real()
      (Closes: #518561)
    - added m4v completion to mplayer (Closes: #504213)
    - improve qemu completion (Closes: #534901)
    - added sshfs completion (shares the same as scp) (Closes: #545978)
    - added --no-generate to "apt-cache pkgnames" calls, make it faster
      on certain configurations (Closes: #547550)
    - add *.ogv to xine-based players (Closes: #540033)
    - fix sbcl file/dirname completion (Closes: #545743)
    - fix _quote_readline on bash 4 (Closes: #544024)
    - patched _known_hosts() to support multiple
      {Global,User}KnownHosts in SSH config files, thanks to Thomas
      Nilsson (Closes: #524190)
    - fix completing multiple hosts (Closes: #535585)
  * debian/extra/bash-completion.pm moved to bash_completion.pm
    (Closes: #535105)
  * debian/patches/ removed, merged upstream
  * debian/rules:
    - passing debian/CHANGES to dh_installchangelogs, it's missing from
      upstream tarball :(
    - rewritten using dh7
  * debian/control:
    - debhelper Build-Dependency bumped to >= 7.0.50
    - removed quilt Build-Dependency, no more used
    - added ${misc:Depends} dependency
    - Standards-Version bumped to 3.8.3, no changes needed
  * debian/compat bumped to 7
  * debian/docs added
  * debian/install updated, using upstream buildsystem

 -- David Paleino <d.paleino@gmail.com>  Sat, 10 Oct 2009 18:11:00 +0200

bash-completion (1:1.0-3) unstable; urgency=low

  * debian/extra/bash-completion.pm added, thanks to Ryan Niebur
    (Closes: #530598)
  * debian/rules: added quilt support
  * debian/control: added quilt Build-Depends
  * debian/patches/:
    - 01-529510.patch added, checks for GNUish userland fail on
      GNU/kFreeBSD, GNU/kOpenSolaris, etc (Closes: #529510)
    - 02-514377.patch added, assumes .gz files can't be concatenated
      (Closes: #514377)
    - 03-522656.patch added, evince supports compressed dvi files
      (Closes: #522656)
    - 04-495883.patch added, aptitude: add build-dep to bash_completion
      (Closes: #495883)

 -- David Paleino <d.paleino@gmail.com>  Sat, 30 May 2009 19:36:14 +0200

bash-completion (1:1.0-2) unstable; urgency=low

  * Remove mtx completion from bash_completion.d/ (Closes: #522545)

 -- David Paleino <d.paleino@gmail.com>  Sat, 04 Apr 2009 21:16:38 +0200

bash-completion (1:1.0-1) unstable; urgency=low

  * New upstream release:
    - also see /usr/share/doc/bash-completion/changelog.gz
    - fix man -l completing filenames (Closes: #497074)
    - (Partly) fixed java classes completion (Closes: #496828). Look for
      FIXME in source.
    - dump to /dev/null error message from look(1) with no arguments
      (Closes: #495142)
    - set ssh as default for rsync (was rsh) (Closes: #492328)
    - added .oga, .ogv, .ogx to mplayer completion (Closes: #496162)
    - added .epub to unzip|zipinfo completion (Closes: #492476)
    - added ssh-copy-id completion (Closes: #491856)
    - moved ssh completion to separate file (Closes: #360628)
    - bogus completion when mounting subdirs fixed (Closes: #322238)
    - fix `apt-cache showsrc` completing only on source package names
      (Closes: #361535)
    - fixed bugs with gdb completion:
    - when an empty directory is in $PATH (thanks to Morita Sho)
      (Closes: #497597)
    - when a non-existing directory is in $PATH (Closes: #499780)
    - fix missing completion for "-n" and "-e" (we were using echo, now
      using printf) (thanks to Morita Sho) (Closes: #498105)
    - fixed gpg completion --@(export|@(?(l|nr|nrl)sign|edit)-key))
      (Closes: #500316)
    - fixed .cb[rz] completion for evince (Closes: #502885)
    - added gpg2 completion (Closes: #489927)
    - fixed mplayer -skin completion (Closes: #501473)
    - fixed errors with POSIX enabled (Closes: #502804)
    - fixed dpkg-source wrong exit() with return() (Closes: #503317)
    - added --schedule-only to aptitude's completion (Closes: #502664)
    - added build-dep to aptitude's completion (Closes: #495883)
    - added support for `-F configfile' to _known_hosts(), ssh, scp and
      sftp, thanks to Freddy Vulto (Closes: #504141)
    - fixed sed quoting bug in _known_hosts(), thanks to Freddy Vulto
      (Closes: #504650)
    - allow for comments in known_hosts files (Closes: #511789)
    - fixed perl -I/-x completion, thanks to Freddy Vulto
      (Closes: #504547)
    - README updated: explain how to use bash-completion correctly.
      (Closes: #506560)
    - added qdbus completion, thanks to Terence Simpson (LP: #257903)
    - fixed completion of environment variables, thanks to Morita Sho
      (Closes: #272660)
    - fix dpkg completion bug: it listed only non-Essential packages
      (Closes: #511790)
    - fixed _dpkg_source completion (Closes: #503317)
    - remove unused UNAME local variable in _info() (Closes: #501843)
    - added .zip to jar completions (Closes: #521041)
    - Merge from Ubuntu:
      + consume error messages in configure completion (LP: #223882)
        (Mika Fischer)
      + quote $xspec in _filedir_xspec in case it is empty, which would
        cause errors if there was no match under failglob. (LP: #194419)
        (Mika Fischer)
    - Ville Skyttä:
      + remove duplicate cpio completion, thanks to Freddy Vulto
        (Closes: #512823)
      + fix awk error in "modprobe -r /" completion (Closes: #512556)
    - Jakob Unterwurzacher:
      + ps2pdf can run on .pdf files as well.
        (Closes: #516614, LP: #316943)
  * debian/links fixed (Closes: #494292)
  * debian/control:
    - fixed typo in the long description
    - added Vcs-* fields
    - Standards-Version to 3.8.1
    - DMUA set
    - removed Luk Claes from Uploaders
    - Homepage added
  * debian/install:
    - correctly install contrib/* under /etc/bash_completion.d/
  * debian/copyright updated
  * debian/extra/dh_bash-completion:
    - updated to support a list of files in debian/<package>.bash-completion
      (Closes: #512917)
  * debian/rules:
    - install upstream CHANGES and AUTHORS too

 -- David Paleino <d.paleino@gmail.com>  Fri, 03 Apr 2009 14:21:43 +0200

bash-completion (20080705) unstable; urgency=low

  [ David Paleino ]
  * Added more completions to imagemagick (thanks to Nelson A. de 
    Oliveira) (Closes: #487786)
  * Added xrandr completion (thanks to Anton Khirnov) (Closes: #487825)
  * Improving _gdb completion:
    - $filenames to $default (Closes: #463969)
    - also show directory names (i.e. compgen -d) in COMPREPLY.
    - added . to $PATH, to allow debugging "local" executables.
    - do not complete Bash's builtins (thanks to Morita Sho)

  [ Luk Claes ]
  * Remove use of ucf for /etc/bash-completion (Closes: #488171).

 -- Luk Claes <luk@debian.org>  Sat, 05 Jul 2008 16:14:15 +0200

bash-completion (20080617.5) unstable; urgency=medium

  * Revert way of setting environment variables (Closes: #487774).
  * Add equals sign to _get_cword for mutt_aliases (Closes: #482635).
  * Enhance mlayer completion (Closes: #487826, #487838).

 -- Luk Claes <luk@debian.org>  Tue, 24 Jun 2008 19:50:57 +0200

bash-completion (20080617.4) experimental; urgency=low

  [ David Paleino ]
  * Merged Ubuntu changes:
    - added quote(), quote_readline(), dequote() helper functions.
    - added _remove_word()
    - fixed _get_cword()
    - refactored _filedir using quote_readline()
    - refactored _filedir_xspec using quote_readline()
    - fixed COMPREPLY's in _iwconfig
    - fixed _cvs()
    - _known_hosts(): use files from UserKnownHostsFile options in 
                      addition to standard ones.
    - fixed _command() to correctly prune the command line
    - disabled completion of PostgreSQL users and databases
    - fixed _java_packages()
    - fixed _muttquery()
    - added flv/FLV completion to mplayer
    - added --installed to apt-cache
    - only complete on filenames for aspell
    - fixed code for exclusions compspecs
    - added code to gracefully handle debug options (set +/-v)

 -- Luk Claes <luk@debian.org>  Mon, 23 Jun 2008 19:25:25 +0200

bash-completion (20080617.3) unstable; urgency=low

  [ David Paleino ]
  * Fixed IFS for filedir_xspec - Thanks to Stefan Lippers-Hollmann
    (Closes: #487571)

  [ Luk Claes ]
  * Install dh-bash-completion to ease installation of completions.

 -- Luk Claes <luk@debian.org>  Mon, 23 Jun 2008 07:24:21 +0200

bash-completion (20080617.2) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
    - provide a manpage for extra/dh_bash-completion
    - fix semi-serious problem with _filedir() (Closes: #487449)
  * debian/rules:
    - added rule to generate dh_bash-completion's manpage
  * debian/install, debian/dirs:
    - installing dh_bash-completion into /usr/bin
  * debian/control:
    - new package dh-bash-completion

  [ Luk Claes ]
  * Comment new package to make sure current fix gets in the archive first.
  * Add compression completion for vi(m).

 -- Luk Claes <luk@debian.org>  Sun, 22 Jun 2008 19:47:23 +0200

bash-completion (20080617.1) unstable; urgency=medium

  [ David Paleino ]
  * Urgency set to medium because the package is currently unusable.
  * New upstream sub-release
    - fixed some typos here and there which prevented bash completions
      at all (Closes: #487441).
    - really closing Debian bug #455510.

 -- Luk Claes <luk@debian.org>  Sun, 22 Jun 2008 00:22:53 +0200

bash-completion (20080617) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
    - add more completions to aptitude (Closes: #432289)
    - fixed UTF-8 problem with _get_cword(), thanks to
      Andrei Paskevich (Closes: #472132)
    - fixed autoremove completion, thanks to Flavio Visentin
      (Closes: #474974)
    - cmf and CMF added to playmidi completion (Closes: #365658)
    - added rrdtool completion, thanks to Justin Pryzby (Closes: #428641)
    - added OpenDocument completion for unzip/zipinfo (.od{f,g,p,s,t})
      (Closes: #472940)
    - fixed escaping problems with job control (i.e. disown, jobs, bg, 
      fg): the argument is now surrounded by "" (Closes: #347316)
    - make mkdir complete also on filenames (Closes: #376433)
    - {bz,z}{cat,cmp,diff,egrep,fgrep,grep,less,more} now should complete
      on all filenames, not just compressed archives (just commented out)
      (Closes: #455510)
    - fixes Perl completion (Closes: #470742)
    - fixes get_cword -> _get_cword typo (Closes: #478596)
    - fixes _get_cword() function to properly handle filenames with 
      whitespaces (Closes: #394636, #468254, #474094)
    - added .pdf.bz2 completion to evince (Closes: #424736)
    - added .svg completion to display (Closes: #441017)
    - added .m2ts completion to mplayer (Closes: #480879)
    - added extra/dh_bash-completion to ease future rewrite of bc.
  * debian/copyright - now in a fancier machine-parsable format.
  * debian/control:
    - added myself to Uploaders
    - debhelper Build-Depends updated to >= 6.
  * debian/watch:
    - improved current watch line regex
    - added (commented out) probable future watch line
  * debian/compat bumped to 6
  * debian/dirs, debian/install and debian/links added
  * debian/rules:
    - refactored to make use of debian/{dirs,install,links}

  [ Steve Kemp ]
  * Applied patch to fix completion of umount command.
    (Closes: #470539)
  * Fixed the completion of Perl manpages.
    (Closes: #404976)
  * Added 'aif' to the filenames offed for completion for mplayer.
    (Closes: #474517)
  * Allow tsocks completion.
    (Closes: #409423)
  * Update mutt completion to handle local usernames.
    (Closes: #416655)
  * Update apt-get completion to include the flag "--no-install-recommends"
    (Closes: #475242)

 -- Luk Claes <luk@debian.org>  Sat, 21 Jun 2008 21:59:43 +0200

bash-completion (20060301-4) unstable; urgency=low

  * Add some fixes from Ubuntu:
  * Fix completion of filenames with spaces (Closes: #468254).
  * Fix parsing of SSH config files (Closes: #435117).
  * Change priority to standard (Closes: #471666).
  * Add some more completions for xine (Closes: #452083, #471249).
  * Fix completion of gzip (Closes: #351913).
  * Also use $HOSTFILE in hostname completion (Closes: #400380).

 -- Luk Claes <luk@debian.org>  Sat, 22 Mar 2008 23:10:30 +0000

bash-completion (20060301-3) unstable; urgency=low

  * Fix kpdf completion (Closes: #468163, #413374).
  * Fix completion of - or -- with _command (Closes: #415276).
  * Add sux to the complete -u list (Closes: #466089).
  * Add dvipdfm to the list of dvi programs (Closes: #396644).
  * Add --purge-unused option completion for aptitude (Closes: #438471).
  * Add divx extension completion for mplayer (Closes: #444294).
  * Add pdf.gz completion for evince (Closes: #456887).
  * Add --remove-all completion for update-alternatives (Closes: #269173).

 -- Luk Claes <luk@debian.org>  Wed, 05 Mar 2008 22:57:27 +0100

bash-completion (20060301-2) unstable; urgency=low

  * Take over the package.

 -- Luk Claes <luk@debian.org>  Wed, 27 Feb 2008 19:22:03 +0100

bash-completion (20060301-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2008 23:18:20 +0100

bash-completion (20060301-0ubuntu2) hardy; urgency=low

  * Replace bash (<< 3.1dfsg-9), handle upgrade in preinst.
  * Exclude hashed hostnames from ssh host completion results. Closes: #428085.
  * Fix: ifup/down don't really complete. Closes: #463756.
  * Allow perl completion to complete filenames, complete -I and -x arguments.
    Closes: #443394.
  * Add find -wholename completion. Closes: #431220.
  * Handle whitespaces in $HOME for _known_hosts() completion. Closes: #414821.
  * dpkg -L: complete for removed-but-not-purged packages. Closes: #372156.
  * Complete for apt-get autoremove. Closes: #433542, #443816, #445332.
  * Update completion for mplayer (mka/flac). Closes: #340452.
  * Add ping6/fping6 completion. Closes: #413170.
  * Handle whitespace in paths for mount/umount completion. Closes: #367957.
  * apt-get: Support --auto-remove. LP: #60666.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Feb 2008 23:11:32 +0100

bash-completion (20060301-0ubuntu1) hardy; urgency=low

  * Initial release, split out from the bash package.
    The software currently is unsupported upstream.
  * Don't try to set a readonly variable. LP: #149527.
  * Support purge in apt-get auto completion (Mathias Gug). LP: #151677.
  * evince: Autocomplete on cbr/cbz/djvu files. LP: #156200, #175220.
    Closes: #400678.
  * kdvi: complete .*\.dvi\.(gz|bz2). LP: #128234.
  * kpdf: Complete postscript files. LP: #162319.
  * Make completion working in the middle of a word (Adam Simpkins).
    LP: #139666.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Feb 2008 16:46:34 +0100

